OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.DrawBuffers

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBDrawBuffers :: MonadIO m => m Bool
- gl_ARB_draw_buffers :: Bool
- gl_DRAW_BUFFER0_ARB :: GLenum
- gl_DRAW_BUFFER10_ARB :: GLenum
- gl_DRAW_BUFFER11_ARB :: GLenum
- gl_DRAW_BUFFER12_ARB :: GLenum
- gl_DRAW_BUFFER13_ARB :: GLenum
- gl_DRAW_BUFFER14_ARB :: GLenum
- gl_DRAW_BUFFER15_ARB :: GLenum
- gl_DRAW_BUFFER1_ARB :: GLenum
- gl_DRAW_BUFFER2_ARB :: GLenum
- gl_DRAW_BUFFER3_ARB :: GLenum
- gl_DRAW_BUFFER4_ARB :: GLenum
- gl_DRAW_BUFFER5_ARB :: GLenum
- gl_DRAW_BUFFER6_ARB :: GLenum
- gl_DRAW_BUFFER7_ARB :: GLenum
- gl_DRAW_BUFFER8_ARB :: GLenum
- gl_DRAW_BUFFER9_ARB :: GLenum
- gl_MAX_DRAW_BUFFERS_ARB :: GLenum
- glDrawBuffersARB :: MonadIO m => GLsizei -> Ptr GLenum -> m ()

# Extension Support

glGetARBDrawBuffers :: MonadIO m => m Bool

Is the ARB_draw_buffers extension supported?

gl_ARB_draw_buffers :: Bool

Is the ARB_draw_buffers extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBDrawBuffers` in those cases instead.

# Enums

gl_DRAW_BUFFER0_ARB :: GLenum

gl_DRAW_BUFFER10_ARB :: GLenum

gl_DRAW_BUFFER11_ARB :: GLenum

gl_DRAW_BUFFER12_ARB :: GLenum

gl_DRAW_BUFFER13_ARB :: GLenum

gl_DRAW_BUFFER14_ARB :: GLenum

gl_DRAW_BUFFER15_ARB :: GLenum

gl_DRAW_BUFFER1_ARB :: GLenum

gl_DRAW_BUFFER2_ARB :: GLenum

gl_DRAW_BUFFER3_ARB :: GLenum

gl_DRAW_BUFFER4_ARB :: GLenum

gl_DRAW_BUFFER5_ARB :: GLenum

gl_DRAW_BUFFER6_ARB :: GLenum

gl_DRAW_BUFFER7_ARB :: GLenum

gl_DRAW_BUFFER8_ARB :: GLenum

gl_DRAW_BUFFER9_ARB :: GLenum

gl_MAX_DRAW_BUFFERS_ARB :: GLenum

# Functions

glDrawBuffersARB

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLenum | `bufs` pointing to `n` elements of type `DrawBufferModeATI`.
-> m () |

This command is an alias for `glDrawBuffers`.